package com.ozs.account.service;

import javax.servlet.http.HttpServletResponse;

import com.ozs.account.dto.UserDTO;
import com.ozs.account.util.R;

public interface AccountInfoService {

	R<UserDTO> login(UserDTO user, HttpServletResponse response) throws Exception;

	/*
	 * *
	 * 
	 * @Author jade
	 * 
	 * @Description 修改页面主题风格
	 * 
	 * @Date 2019/3/26
	 * 
	 * @Param [id, theme]
	 * 
	 * @return com.datau.account.util.R<java.lang.String>
	 **/
	R<String> changeTheme(String id, String theme) throws Exception;

	/**
	 * 获取userType
	 * 
	 * @param userId
	 * @return
	 * @throws Exception
	 */
	Integer getUserType(String userId) throws Exception;
}
