package com.ozs.rpm.dto.save;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RpmInfoReportChartDTO
 * @Description:报表图表信息表实体类
 * @author: Zhao You Kai
 * @date: Mar 12, 2019 2:11:33 PM
 */
@Data
public class RpmInfoReportChartDTO {

	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("图表类型ID")
	private Integer chartTypeId;
	@ApiModelProperty("KPI-ID")
	private String kpiId;
	@ApiModelProperty("kpi-编码")
	private String kpiCode;
	@ApiModelProperty("轴：1-X 2-Y")
	private Integer axis;
	@ApiModelProperty("位置：1-左 2-右")
	private Integer position;
	@ApiModelProperty("图形：1-柱 2-折")
	private Integer graph;
	@ApiModelProperty("报表ID")
	private String reportId;
	
}
