package com.ozs.rpm.dto.chart;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName:
 * @Description:图表分类信息表实体类
 * @author: Zhao You Kai
 * @date: Apr 18, 2019 7:25:30 PM
 */
@Data
public class ChartClassDTO {

	@ApiModelProperty("唯一索引")
	private String id;
	@ApiModelProperty("菜单编码")
	private String classCode;
	@ApiModelProperty("菜单名称")
	private String className;
	@ApiModelProperty("菜单层级")
	private Integer classLevel;
	@ApiModelProperty("最后修改时间")
	private Date updateTime;
	@ApiModelProperty("最后修改用户ID")
	private String updateUserId;
	@ApiModelProperty("最后修改用户名称")
	private String updateUserName;
	@ApiModelProperty("父类菜单编码")
	private String pCode;

}
