package com.ozs.rpm.dto.chart;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: SubjectPageInfoDTO
 * @Description:主题每页信息
 * @author: Zhao You Kai
 * @date: May 23, 2019 3:43:58 PM
 */
@Data
public class SubjectPageInfoDTO {
	@ApiModelProperty("专题ID")
	private String subjectId;
	@ApiModelProperty("总行数")
	private Integer rowCount;
	@ApiModelProperty("总列数")
	private Integer colCount;
	@ApiModelProperty("专题页数")
	private Integer subjectPage;
	@ApiModelProperty("专题图表关联信息")
	private List<RelSubjectChartDTO> children;
}
