package com.ozs.rpm.dto.kpim;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: KpiFunctionDTO
 * @Description:KPI函数信息表实体类
 * @author: Zhao You Kai
 * @date: May 10, 2019 5:03:08 PM
 */
@Data
public class KpiFunctionDTO {

	@ApiModelProperty("唯一标示")
	private String id;
	@ApiModelProperty("函数名称")
	private String functionName;
	@ApiModelProperty("函数描述")
	private String functionDesc;
	@ApiModelProperty("函数内容,函数公式")
	private String functionValue;
	@ApiModelProperty("使用字段数量")
	private Integer columnNum;
}
